Page MenuHomePhabricator

Archive the AjaxLogin extension
Closed, ResolvedPublicRequest

Description

Reason: Per @ashley's comments:

Given the existence of Florian's awesome OOJsUIAjaxLogin extension, which actually works, looks modern and isn't a horrible pile of hacks on top of hacks, I'm going to say that AjaxLogin is deprecated in favor of OOJsUIAjaxLogin and thus I'm declining this task.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 4 2017, 6:13 PM
Legoktm added a subscriber: Legoktm.Jul 4 2017, 7:36 PM

This checklist should also have the archiving of the actual git repository.

SamanthaNguyen updated the task description. (Show Details)

Change 363770 had a related patch set uploaded (by Florianschmidtwelzow; owner: Florianschmidtwelzow):
[mediawiki/extensions@master] Remove extension AjaxLogin

https://gerrit.wikimedia.org/r/363770

Change 363774 had a related patch set uploaded (by Florianschmidtwelzow; owner: Florianschmidtwelzow):
[integration/config@master] Archive AjaxLogin extension

https://gerrit.wikimedia.org/r/363774

Change 363770 merged by MaxSem:
[mediawiki/extensions@master] Remove extension AjaxLogin

https://gerrit.wikimedia.org/r/363770

MaxSem updated the task description. (Show Details)Jul 7 2017, 6:57 AM

Change 363776 had a related patch set uploaded (by Florianschmidtwelzow; owner: Florianschmidtwelzow):
[translatewiki@master] Archive AjaxLogin

https://gerrit.wikimedia.org/r/363776

Change 363776 merged by jenkins-bot:
[translatewiki@master] Archive AjaxLogin

https://gerrit.wikimedia.org/r/363776

Florian claimed this task.Jul 7 2017, 11:26 AM
Florian updated the task description. (Show Details)

Change 363774 merged by jenkins-bot:
[integration/config@master] Archive AjaxLogin extension

https://gerrit.wikimedia.org/r/363774

hashar updated the task description. (Show Details)Jul 17 2017, 8:57 AM
hashar updated the task description. (Show Details)
hashar added a subscriber: hashar.

CI is unconfigured (thanks for the patch)

I have marked the Diffusion repository inactive: https://phabricator.wikimedia.org/diffusion/EAJL/manage/basics/

Florian closed this task as Resolved.Jul 17 2017, 10:44 AM